import axios from "../../utils/axios";


export function receiptsList(query) {
    return axios({
        url: "warehouse/receipt/order/filter",
        method: "get",
        params: query
    });
}

export function getDetailList(query) {
    return axios({
        url: "/warehouse/receipt/code/filter",
        method: "get",
        params: query
    });
}

export function addReceipts(query) {
    return axios({
        url: "/warehouse/receipt/addList",
        method: "post",
        data: query
    });
}

export function updateReceipts(query) {
    return axios(
        {
            url: "/warehouse/receipt/updateReceipt",
            method: "post",
            data: query
        }
    );
}


export function deleteById(query) {
    return axios(
        {
            url: "/warehouse/receipt/deleteReceipt",
            method: "post",
            data: query
        }
    );
}
